util.tvdataservice

## Class ProgramDispatcher

- java.lang.Object
- - util.tvdataservice.ProgramDispatcher

-     public class ProgramDispatcher
      extends java.lang.Object

  You can pass Program objects to this dispatcher and it will put it in the right AbstractChannelDayProgram.

  After passing all programs to the dispatcher you can request the AbstractChannelDayPrograms.

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramDispatcher()` Creates a new instance of ProgramDispatcher.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(Program program)` Dispatches the specified program to the right ChannelDayProgram.
    `MutableChannelDayProgram` | `getChannelDayProgram(Date date, Channel channel)` Gets the ChannelDayProgram of the specified date and channel.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgramDispatcher

          public ProgramDispatcher()

      Creates a new instance of ProgramDispatcher.

  - ### Method Detail

    - #### dispatch

          public void dispatch(Program program)

      Dispatches the specified program to the right ChannelDayProgram.

      If there is no such ChannelDayProgram, it will be created.

      Parameters:
        `program` - The program to dispatch

    - #### getChannelDayProgram

          public MutableChannelDayProgram getChannelDayProgram(Date date,
                                                      Channel channel)

      Gets the ChannelDayProgram of the specified date and channel.
      Parameters:
        `date` - The date of the wanted ChannelDayProgram.
        `channel` - The channel of the wanted ChannelDayProgram.
      Returns:
        The ChannelDayProgram of the specified date and channel.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)